net.minecraft.client.renderer

## Class Tessellator

- java.lang.Object
- - net.minecraft.client.renderer.Tessellator

-     public class Tessellator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `defaultTexture`
    `static Tessellator` | `instance`
    `static boolean` | `renderingWorldRenderer`
    `int` | `textureID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tessellator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTranslation(float par1, float par2, float par3)`
    `void` | `addVertex(double par1, double par3, double par5)`
    `void` | `addVertexWithUV(double par1, double par3, double par5, double par7, double par9)`
    `void` | `disableColor()`
    `int` | `draw()`
    `TesselatorVertexState` | `getVertexState(float p_147564_1_, float p_147564_2_, float p_147564_3_)`
    `void` | `setBrightness(int par1)`
    `void` | `setColorOpaque_F(float par1, float par2, float par3)`
    `void` | `setColorOpaque_I(int par1)`
    `void` | `setColorOpaque(int par1, int par2, int par3)`
    `void` | `setColorRGBA_F(float par1, float par2, float par3, float par4)`
    `void` | `setColorRGBA_I(int par1, int par2)`
    `void` | `setColorRGBA(int par1, int par2, int par3, int par4)`
    `void` | `setNormal(float par1, float par2, float par3)`
    `void` | `setTextureUV(double par1, double par3)`
    `void` | `setTranslation(double par1, double par3, double par5)`
    `void` | `setVertexState(TesselatorVertexState p_147565_1_)`
    `void` | `startDrawing(int par1)`
    `void` | `startDrawingQuads()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderingWorldRenderer

          public static boolean renderingWorldRenderer

    - #### defaultTexture

          public boolean defaultTexture

    - #### textureID

          public int textureID

    - #### instance

          public static final Tessellator instance

  - ### Constructor Detail

    - #### Tessellator

          public Tessellator()

  - ### Method Detail

    - #### draw

          public int draw()

    - #### getVertexState

          public TesselatorVertexState getVertexState(float p_147564_1_,
                                             float p_147564_2_,
                                             float p_147564_3_)

    - #### setVertexState

          public void setVertexState(TesselatorVertexState p_147565_1_)

    - #### startDrawingQuads

          public void startDrawingQuads()

    - #### startDrawing

          public void startDrawing(int par1)

    - #### setTextureUV

          public void setTextureUV(double par1,
                          double par3)

    - #### setBrightness

          public void setBrightness(int par1)

    - #### setColorOpaque_F

          public void setColorOpaque_F(float par1,
                              float par2,
                              float par3)

    - #### setColorRGBA_F

          public void setColorRGBA_F(float par1,
                            float par2,
                            float par3,
                            float par4)

    - #### setColorOpaque

          public void setColorOpaque(int par1,
                            int par2,
                            int par3)

    - #### setColorRGBA

          public void setColorRGBA(int par1,
                          int par2,
                          int par3,
                          int par4)

    - #### addVertexWithUV

          public void addVertexWithUV(double par1,
                             double par3,
                             double par5,
                             double par7,
                             double par9)

    - #### addVertex

          public void addVertex(double par1,
                       double par3,
                       double par5)

    - #### setColorOpaque_I

          public void setColorOpaque_I(int par1)

    - #### setColorRGBA_I

          public void setColorRGBA_I(int par1,
                            int par2)

    - #### disableColor

          public void disableColor()

    - #### setNormal

          public void setNormal(float par1,
                       float par2,
                       float par3)

    - #### setTranslation

          public void setTranslation(double par1,
                            double par3,
                            double par5)

    - #### addTranslation

          public void addTranslation(float par1,
                            float par2,
                            float par3)